Bug 1659178 - RFE: check space in /var/tmp before generating initramfs
Summary: RFE: check space in /var/tmp before generating initramfs
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 18:30 UTC by sixpack13
Modified: 2019-11-27 21:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:22:04 UTC


Attachments (Terms of Use)

Description sixpack13 2018-12-13 18:30:41 UTC
Description of problem:

I'm used to do this in my /etc/fstab (for ssd's => wearlevel)

tmpfs   /var/tmp   tmpfs    defaults,nosuid,nodev,noexec,mode=1777,size=2%  0 0


Doing so one an box with only 2 GB RAM causes errors during kernel install, e.g. initramfs creation caused by unsufficient disk space.  


Version-Release number of selected component (if applicable):
dracut-049-25.git20181204.fc29.x86_64


How reproducible:

Steps to Reproduce:
1. put the above entry for /var/tmp in fstab 
2. remount /var/tmp
3. install kernels on a box with 2 GB RAM only [*].

Actual results:

during kernel update via dnf update/install kernel errors during initramfs creation and box doesn't boot with this kernel !


Expected results:
dracut should check needed space before generating initramfs ! and NOT running into errors during kernel installs or an unbootable box regarding this new installed kernel [**]  


Additional info:

[*]
box, which I remote administer, was bought years ago with 2 modules a 2 GB. 
One module has somehow disappeared ! 

[**]
I'm not sure if the user will be aware of this errors using packagekit (gnome-software)  - I don't use it - .

Comment 1 Ben Cotton 2019-10-31 20:19:01 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:22:04 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.